> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint a wallbox claim token for the onboarding session's user



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json post /api/partners/v2.0/device-onboarding/{onboarding_session_id}/wallbox-claim-tokens
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/device-onboarding/{onboarding_session_id}/wallbox-claim-tokens:
    post:
      tags:
        - Device Onboarding Sessions
      summary: Mint a wallbox claim token for the onboarding session's user
      operationId: >-
        integrations_api_api_v2_device_onboarding_router_mint_claim_token_for_session
      parameters:
        - in: path
          name: onboarding_session_id
          schema:
            format: uuid
            title: Onboarding Session Id
            type: string
          required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WallboxClaimTokenOutput'
components:
  schemas:
    WallboxClaimTokenOutput:
      properties:
        token:
          title: Token
          type: string
        wss_url:
          title: Wss Url
          type: string
        expires_at:
          format: date-time
          title: Expires At
          type: string
      required:
        - token
        - wss_url
        - expires_at
      title: WallboxClaimTokenOutput
      type: object

````